<html>
<head>
<title>Ogre::Box Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1Box.html">Box</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::Box Struct Reference<div class="ingroups"><a class="el" href="group__General.html">General</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::Box" -->
<p>Structure used to define a box in a 3-D integer space.  
 <a href="structOgre_1_1Box.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::Box:</div>
<div class="dyncontent">
<div class="center"><img src="structOgre_1_1Box__inherit__graph.gif" border="0" usemap="#Ogre_1_1Box_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1Box_inherit__map" id="Ogre_1_1Box_inherit__map">
<area shape="rect" id="node3" href="classOgre_1_1PixelBox.html" title="A primitive describing a volume (3D), image (2D) or line (1D) of pixels in memory." alt="" coords="5,83,115,112"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="structOgre_1_1Box-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Box.html#aaae3f6efb19b7607eef11e8e70fa46a2">Box</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Parameterless constructor for setting the members manually.  <a href="#aaae3f6efb19b7607eef11e8e70fa46a2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Box.html#ade5fa24983e99f0ebabfc04f416aef1d">Box</a> (size_t l, size_t t, size_t r, size_t b)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Define a box from left, top, right and bottom coordinates This box will have depth one (front=0 and back=1).  <a href="#ade5fa24983e99f0ebabfc04f416aef1d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Box.html#af02ad818211c2f83fff1866f328872c8">Box</a> (size_t l, size_t t, size_t ff, size_t r, size_t b, size_t bb)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Define a box from left, top, front, right, bottom and back coordinates.  <a href="#af02ad818211c2f83fff1866f328872c8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Box.html#aebee870489731d59ddc99903220244c0">contains</a> (const <a class="el" href="structOgre_1_1Box.html">Box</a> &amp;def) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return true if the other box is a part of this one.  <a href="#aebee870489731d59ddc99903220244c0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Box.html#a7621962346ee18c3df6a405d115548a8">getWidth</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the width of this box.  <a href="#a7621962346ee18c3df6a405d115548a8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Box.html#a93d5935ee18c29336ea11460a9d30b53">getHeight</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the height of this box.  <a href="#a93d5935ee18c29336ea11460a9d30b53"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Box.html#a35a70afaf89bbd6371a9abdc9e1da469">getDepth</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the depth of this box.  <a href="#a35a70afaf89bbd6371a9abdc9e1da469"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Box.html#a8c667f45bbbe5be0577025436a7e50a0">left</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Box.html#aebfb3bd646373c45c9e38735640f6e3a">top</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Box.html#a57531708bc749511715f37648d105aad">right</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Box.html#a66b5764c9ac1aad8410e9883c74b522a">bottom</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Box.html#a6057f53bf949ee0725aeb52d1e480f4c">front</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Box.html#a26cb2e011c3dec1ff625716e1778233a">back</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Structure used to define a box in a 3-D integer space. </p>
<p>Note that the left, top, and front edges are included but the right, bottom and back ones are not. </p>

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00660">660</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="aaae3f6efb19b7607eef11e8e70fa46a2"></a><!-- doxytag: member="Ogre::Box::Box" ref="aaae3f6efb19b7607eef11e8e70fa46a2" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1Box.html#aaae3f6efb19b7607eef11e8e70fa46a2">Ogre::Box::Box</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Parameterless constructor for setting the members manually. </p>

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00664">664</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="ade5fa24983e99f0ebabfc04f416aef1d"></a><!-- doxytag: member="Ogre::Box::Box" ref="ade5fa24983e99f0ebabfc04f416aef1d" args="(size_t l, size_t t, size_t r, size_t b)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1Box.html#aaae3f6efb19b7607eef11e8e70fa46a2">Ogre::Box::Box</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>l</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>t</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>r</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>b</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Define a box from left, top, right and bottom coordinates This box will have depth one (front=0 and back=1). </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">l</td><td>x value of left edge </td></tr>
    <tr><td class="paramname">t</td><td>y value of top edge </td></tr>
    <tr><td class="paramname">r</td><td>x value of right edge </td></tr>
    <tr><td class="paramname">b</td><td>y value of bottom edge </td></tr>
  </table>
  </dd>
</dl>
<dl class="note"><dt><b>Note:</b></dt><dd>Note that the left, top, and front edges are included but the right, bottom and back ones are not. </dd></dl>

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00677">677</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

<p>References <a class="el" href="OgreCommon_8h_source.html#l00662">back</a>, <a class="el" href="OgreCommon_8h_source.html#l00662">bottom</a>, <a class="el" href="OgreCommon_8h_source.html#l00662">front</a>, <a class="el" href="OgreCommon_8h_source.html#l00662">left</a>, <a class="el" href="OgreCommon_8h_source.html#l00662">right</a>, and <a class="el" href="OgreCommon_8h_source.html#l00662">top</a>.</p>

</div>
</div>
<a class="anchor" id="af02ad818211c2f83fff1866f328872c8"></a><!-- doxytag: member="Ogre::Box::Box" ref="af02ad818211c2f83fff1866f328872c8" args="(size_t l, size_t t, size_t ff, size_t r, size_t b, size_t bb)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1Box.html#aaae3f6efb19b7607eef11e8e70fa46a2">Ogre::Box::Box</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>l</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>t</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>ff</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>r</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>b</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>bb</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Define a box from left, top, front, right, bottom and back coordinates. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">l</td><td>x value of left edge </td></tr>
    <tr><td class="paramname">t</td><td>y value of top edge </td></tr>
    <tr><td class="paramname">ff</td><td>z value of front edge </td></tr>
    <tr><td class="paramname">r</td><td>x value of right edge </td></tr>
    <tr><td class="paramname">b</td><td>y value of bottom edge </td></tr>
    <tr><td class="paramname">bb</td><td>z value of back edge </td></tr>
  </table>
  </dd>
</dl>
<dl class="note"><dt><b>Note:</b></dt><dd>Note that the left, top, and front edges are included but the right, bottom and back ones are not. </dd></dl>

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00698">698</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

<p>References <a class="el" href="OgreCommon_8h_source.html#l00662">back</a>, <a class="el" href="OgreCommon_8h_source.html#l00662">bottom</a>, <a class="el" href="OgreCommon_8h_source.html#l00662">front</a>, <a class="el" href="OgreCommon_8h_source.html#l00662">left</a>, <a class="el" href="OgreCommon_8h_source.html#l00662">right</a>, and <a class="el" href="OgreCommon_8h_source.html#l00662">top</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="aebee870489731d59ddc99903220244c0"></a><!-- doxytag: member="Ogre::Box::contains" ref="aebee870489731d59ddc99903220244c0" args="(const Box &amp;def) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1Box.html#aebee870489731d59ddc99903220244c0">Ogre::Box::contains</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1Box.html">Box</a> &amp;&#160;</td>
          <td class="paramname"><em>def</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return true if the other box is a part of this one. </p>

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00710">710</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

<p>References <a class="el" href="OgreCommon_8h_source.html#l00662">back</a>, <a class="el" href="OgreCommon_8h_source.html#l00662">bottom</a>, <a class="el" href="OgreCommon_8h_source.html#l00662">front</a>, <a class="el" href="OgreCommon_8h_source.html#l00662">left</a>, <a class="el" href="OgreCommon_8h_source.html#l00662">right</a>, and <a class="el" href="OgreCommon_8h_source.html#l00662">top</a>.</p>

</div>
</div>
<a class="anchor" id="a35a70afaf89bbd6371a9abdc9e1da469"></a><!-- doxytag: member="Ogre::Box::getDepth" ref="a35a70afaf89bbd6371a9abdc9e1da469" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1Box.html#a35a70afaf89bbd6371a9abdc9e1da469">Ogre::Box::getDepth</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the depth of this box. </p>

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00721">721</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

<p>References <a class="el" href="OgreCommon_8h_source.html#l00662">back</a>, and <a class="el" href="OgreCommon_8h_source.html#l00662">front</a>.</p>

<p>Referenced by <a class="el" href="OgreImageResampler_8h_source.html#l00055">Ogre::NearestResampler&lt; elemsize &gt;::scale()</a>, <a class="el" href="OgreImageResampler_8h_source.html#l00095">Ogre::LinearResampler::scale()</a>, <a class="el" href="OgreImageResampler_8h_source.html#l00178">Ogre::LinearResampler_Float32::scale()</a>, and <a class="el" href="OgreImageResampler_8h_source.html#l00286">Ogre::LinearResampler_Byte&lt; channels &gt;::scale()</a>.</p>

</div>
</div>
<a class="anchor" id="a93d5935ee18c29336ea11460a9d30b53"></a><!-- doxytag: member="Ogre::Box::getHeight" ref="a93d5935ee18c29336ea11460a9d30b53" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1Box.html#a93d5935ee18c29336ea11460a9d30b53">Ogre::Box::getHeight</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the height of this box. </p>

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00719">719</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

<p>References <a class="el" href="OgreCommon_8h_source.html#l00662">bottom</a>, and <a class="el" href="OgreCommon_8h_source.html#l00662">top</a>.</p>

<p>Referenced by <a class="el" href="OgreImageResampler_8h_source.html#l00055">Ogre::NearestResampler&lt; elemsize &gt;::scale()</a>, <a class="el" href="OgreImageResampler_8h_source.html#l00095">Ogre::LinearResampler::scale()</a>, <a class="el" href="OgreImageResampler_8h_source.html#l00178">Ogre::LinearResampler_Float32::scale()</a>, and <a class="el" href="OgreImageResampler_8h_source.html#l00286">Ogre::LinearResampler_Byte&lt; channels &gt;::scale()</a>.</p>

</div>
</div>
<a class="anchor" id="a7621962346ee18c3df6a405d115548a8"></a><!-- doxytag: member="Ogre::Box::getWidth" ref="a7621962346ee18c3df6a405d115548a8" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1Box.html#a7621962346ee18c3df6a405d115548a8">Ogre::Box::getWidth</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the width of this box. </p>

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00717">717</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

<p>References <a class="el" href="OgreCommon_8h_source.html#l00662">left</a>, and <a class="el" href="OgreCommon_8h_source.html#l00662">right</a>.</p>

<p>Referenced by <a class="el" href="OgreImageResampler_8h_source.html#l00055">Ogre::NearestResampler&lt; elemsize &gt;::scale()</a>, <a class="el" href="OgreImageResampler_8h_source.html#l00095">Ogre::LinearResampler::scale()</a>, <a class="el" href="OgreImageResampler_8h_source.html#l00178">Ogre::LinearResampler_Float32::scale()</a>, and <a class="el" href="OgreImageResampler_8h_source.html#l00286">Ogre::LinearResampler_Byte&lt; channels &gt;::scale()</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a26cb2e011c3dec1ff625716e1778233a"></a><!-- doxytag: member="Ogre::Box::back" ref="a26cb2e011c3dec1ff625716e1778233a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1Box.html#a26cb2e011c3dec1ff625716e1778233a">Ogre::Box::back</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00662">662</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

<p>Referenced by <a class="el" href="OgreCommon_8h_source.html#l00677">Box()</a>, <a class="el" href="OgreCommon_8h_source.html#l00710">contains()</a>, <a class="el" href="OgreCommon_8h_source.html#l00721">getDepth()</a>, <a class="el" href="OgreImageResampler_8h_source.html#l00055">Ogre::NearestResampler&lt; elemsize &gt;::scale()</a>, <a class="el" href="OgreImageResampler_8h_source.html#l00095">Ogre::LinearResampler::scale()</a>, and <a class="el" href="OgreImageResampler_8h_source.html#l00178">Ogre::LinearResampler_Float32::scale()</a>.</p>

</div>
</div>
<a class="anchor" id="a66b5764c9ac1aad8410e9883c74b522a"></a><!-- doxytag: member="Ogre::Box::bottom" ref="a66b5764c9ac1aad8410e9883c74b522a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1Box.html#a66b5764c9ac1aad8410e9883c74b522a">Ogre::Box::bottom</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00662">662</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

<p>Referenced by <a class="el" href="OgreCommon_8h_source.html#l00677">Box()</a>, <a class="el" href="OgreCommon_8h_source.html#l00710">contains()</a>, <a class="el" href="OgreCommon_8h_source.html#l00719">getHeight()</a>, <a class="el" href="OgreImageResampler_8h_source.html#l00055">Ogre::NearestResampler&lt; elemsize &gt;::scale()</a>, <a class="el" href="OgreImageResampler_8h_source.html#l00095">Ogre::LinearResampler::scale()</a>, <a class="el" href="OgreImageResampler_8h_source.html#l00178">Ogre::LinearResampler_Float32::scale()</a>, and <a class="el" href="OgreImageResampler_8h_source.html#l00286">Ogre::LinearResampler_Byte&lt; channels &gt;::scale()</a>.</p>

</div>
</div>
<a class="anchor" id="a6057f53bf949ee0725aeb52d1e480f4c"></a><!-- doxytag: member="Ogre::Box::front" ref="a6057f53bf949ee0725aeb52d1e480f4c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1Box.html#a6057f53bf949ee0725aeb52d1e480f4c">Ogre::Box::front</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00662">662</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

<p>Referenced by <a class="el" href="OgreCommon_8h_source.html#l00677">Box()</a>, <a class="el" href="OgreCommon_8h_source.html#l00710">contains()</a>, <a class="el" href="OgreCommon_8h_source.html#l00721">getDepth()</a>, <a class="el" href="OgreImageResampler_8h_source.html#l00055">Ogre::NearestResampler&lt; elemsize &gt;::scale()</a>, <a class="el" href="OgreImageResampler_8h_source.html#l00095">Ogre::LinearResampler::scale()</a>, and <a class="el" href="OgreImageResampler_8h_source.html#l00178">Ogre::LinearResampler_Float32::scale()</a>.</p>

</div>
</div>
<a class="anchor" id="a8c667f45bbbe5be0577025436a7e50a0"></a><!-- doxytag: member="Ogre::Box::left" ref="a8c667f45bbbe5be0577025436a7e50a0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1Box.html#a8c667f45bbbe5be0577025436a7e50a0">Ogre::Box::left</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00662">662</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

<p>Referenced by <a class="el" href="OgreCommon_8h_source.html#l00677">Box()</a>, <a class="el" href="OgreCommon_8h_source.html#l00710">contains()</a>, <a class="el" href="OgreCommon_8h_source.html#l00717">getWidth()</a>, <a class="el" href="OgreImageResampler_8h_source.html#l00055">Ogre::NearestResampler&lt; elemsize &gt;::scale()</a>, <a class="el" href="OgreImageResampler_8h_source.html#l00095">Ogre::LinearResampler::scale()</a>, <a class="el" href="OgreImageResampler_8h_source.html#l00178">Ogre::LinearResampler_Float32::scale()</a>, and <a class="el" href="OgreImageResampler_8h_source.html#l00286">Ogre::LinearResampler_Byte&lt; channels &gt;::scale()</a>.</p>

</div>
</div>
<a class="anchor" id="a57531708bc749511715f37648d105aad"></a><!-- doxytag: member="Ogre::Box::right" ref="a57531708bc749511715f37648d105aad" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1Box.html#a57531708bc749511715f37648d105aad">Ogre::Box::right</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00662">662</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

<p>Referenced by <a class="el" href="OgreCommon_8h_source.html#l00677">Box()</a>, <a class="el" href="OgreCommon_8h_source.html#l00710">contains()</a>, <a class="el" href="OgreCommon_8h_source.html#l00717">getWidth()</a>, <a class="el" href="OgreImageResampler_8h_source.html#l00055">Ogre::NearestResampler&lt; elemsize &gt;::scale()</a>, <a class="el" href="OgreImageResampler_8h_source.html#l00095">Ogre::LinearResampler::scale()</a>, <a class="el" href="OgreImageResampler_8h_source.html#l00178">Ogre::LinearResampler_Float32::scale()</a>, and <a class="el" href="OgreImageResampler_8h_source.html#l00286">Ogre::LinearResampler_Byte&lt; channels &gt;::scale()</a>.</p>

</div>
</div>
<a class="anchor" id="aebfb3bd646373c45c9e38735640f6e3a"></a><!-- doxytag: member="Ogre::Box::top" ref="aebfb3bd646373c45c9e38735640f6e3a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1Box.html#aebfb3bd646373c45c9e38735640f6e3a">Ogre::Box::top</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00662">662</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

<p>Referenced by <a class="el" href="OgreCommon_8h_source.html#l00677">Box()</a>, <a class="el" href="OgreCommon_8h_source.html#l00710">contains()</a>, <a class="el" href="OgreCommon_8h_source.html#l00719">getHeight()</a>, <a class="el" href="OgreImageResampler_8h_source.html#l00055">Ogre::NearestResampler&lt; elemsize &gt;::scale()</a>, <a class="el" href="OgreImageResampler_8h_source.html#l00095">Ogre::LinearResampler::scale()</a>, <a class="el" href="OgreImageResampler_8h_source.html#l00178">Ogre::LinearResampler_Float32::scale()</a>, and <a class="el" href="OgreImageResampler_8h_source.html#l00286">Ogre::LinearResampler_Byte&lt; channels &gt;::scale()</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:55
</p>
</body>
</html>
